% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ftrlprox.default.r
\name{ftrlprox.default}
\alias{ftrlprox.default}
\title{FTRL Proximal for matrix class}
\usage{
\method{ftrlprox}{default}(x, y, lambda, alpha, a, b = 1, num_epochs = 1,
  save_loss = F, ...)
}
\arguments{
\item{x}{the model matrix containing features}

\item{y}{the response variable}

\item{lambda}{regularization term}

\item{alpha}{mixing parameter, alpha=0 corresponds to L2 regularization and alpha=1 to L1.}

\item{a}{learning rate parameter.}

\item{b}{learning rate parameter controlling decay, defaults to 1.}

\item{num_epochs}{number of times we should traverse over the traiing set, defaults to 1.}

\item{save_loss}{is to save the loss function during training.}

\item{...}{additional args}
}
\value{
ftrlprox model object
}
\description{
Online elastic net regression using the FTRL Proximal algorithm for training.
}
\details{
This method is intended for matrix input.
}
\author{
Vilhelm von Ehrenheim
}

